QGIS Application - Feature request #10731
html formatted text boxes do not create links in pdf outputs
2014-06-26 04:43 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19117
Description

Not sure if this is a feature request or a bug,

if | create a text box in a composer and add a tag

<a href="http://www.google.com/">link</a>

when outputting to PDF the link text is formatted as expected (blue, underlined), but the link does not work (maybe it does not exist as it is
not clickable).

It does not depend on the platform (tested Linux and Windows) and also does not depend on how the PDF is created (the QGIS function
or other virtual printer).

History

#1 - 2014-09-11 08:05 AM - Regis Haubourg

Hi,
it seems there was a bug in QT 4.7 , solved in 4.8.. | guess we just have to wire that feature:
see [[http://stackoverflow.com/questions/24163671/wicked-pdf-export-html-links-as-plain-text]]

cheers
Régis

#2 - 2015-09-29 05:57 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#3 - 2016-03-18 06:02 AM - Patrick Valsecchi

| doubt this is a bug fixed in Qt 4.7. The link in the previous comment points to post about wicked, not Qt and QGIS uses Qt to render PDFs.

This bug has been fixed in Qt5.6:
https://github.com/qgtproject/gtwebkit/commit/62dd2add32c7¢c4d5d409d457c818ac88c952¢e76

Therefore we'll have to wait for the port to Qt5 to be done and we'll be able to close this issue.

#4 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#5 - 2018-09-04 03:51 PM - Alain FERRATON
http://stackoverflow.com/questions/24163671/wicked-pdf-export-html-links-as-plain-text
https://github.com/qtproject/qtwebkit/commit/62dd2add32c7c4d5d409d457c818ac88c952e7f6

it seems that the bug still exists in QGIS 3.3 master which uses Qt 5.9.2

#6 - 2018-09-04 04:07 PM - Giovanni Manghi
- Description updated

Alain FERRATON wrote:

it seems that the bug still exists in QGIS 3.3 master which uses Qt 5.9.2

unfortunately | confirm.
